#include<stdio.h>
#define MAX 20

int main (){
    int a[MAX][MAX], m, n, i, j;
  scanf ("%d %d", &m, &n);
  
    for (i=0; i<m; i++)
    {
      for (j=0; j<n; j++)
	scanf ("%d", &a[i][j]);
    }
  scanf ("%d %d", &p, &k);
  
  for (i=0; i<m; i++)
    {
      for (j=0; j<n; j++)
	printf ("%d ", a[i][j]);\
	printf ("\n");
    }
    for (s=0; s<p; s++)
  {
    for (d=0; d<k; d++)
	
  }   
  
return 0; 
  
}